function val = from_bcd(in)
%
%   Converts 2 bytes from bcd to binary.
%

%
%   M.G. Bateman, USRA, 17 Aug 1998
%  Mach, UAH 4/18/02
%

thousands = fix(in/4096);
in2 = in - 4096*thousands;
hundreds = fix(in2/256);
in3 = in2 -256*hundreds;
tens = fix(in3/16);
ones = in3 - 16*tens;

val = 1000*thousands + 100*hundreds + 10*tens + ones;

