ic_new = ic;
emphasis = ones(length(pitch),1);
emphasis(find(abs(pitch-3.5) > 2)) = abs(pitch(find(abs(pitch-3.5) > 2))-3.5);
[x_mill_gof,mill_rms] = goodness_of_fit(the_best_mill, pinv(ic_new), ic_new);
[x_E_gof,E_rms] = goodness_of_Efit(ideal_E,pinv(ic_new)*the_best_mill,emphasis);
first_rms = E_rms*mill_rms;
initial_rms = E_rms*mill_rms;
%first_rms = E_rms;
%initial_rms = E_rms;
for i=1:6
   for j=1:5
      disp(sprintf('Index:%d,%d, Initial val:%f',i,j,ic(i,j)));
      loop_limit = 1000;
      loop_count = 0;
      increment = 0.01;
      ic_new(i,j) = ic_new(i,j) + increment;
      [x_mill_gof,mill_rms_new] = goodness_of_fit(the_best_mill, pinv(ic_new), ic_new);
      [x_E_gof,E_rms_new] = goodness_of_Efit(ideal_E,pinv(ic_new)*the_best_mill,emphasis);
      rms_new = mill_rms_new*E_rms_new;
%      rms_new = E_rms_new;
      if rms_new > first_rms
         disp('Wrong way, need to go negative');
         increment = -increment;
         ic_new(i,j) = ic_new(i,j) + increment;
         first_rms = rms_new;
         [x_mill_gof,mill_rms_new] = goodness_of_fit(the_best_mill, pinv(ic_new), ic_new);
         [x_E_gof,E_rms_new] = goodness_of_Efit(ideal_E,pinv(ic_new)*the_best_mill,emphasis);
         rms_new = mill_rms_new*E_rms_new;
%         rms_new = E_rms_new;
      end
      while rms_new < first_rms
         first_rms = rms_new;
         ic_new(i,j) = ic_new(i,j) + increment;
         [x_mill_gof,mill_rms_new] = goodness_of_fit(the_best_mill, pinv(ic_new), ic_new);
         [x_E_gof,E_rms_new] = goodness_of_Efit(ideal_E,pinv(ic_new)*the_best_mill,emphasis);
         rms_new = mill_rms_new*E_rms_new;
%         rms_new = E_rms_new;
         loop_count = loop_count + 1;
         loop_limit = loop_limit - 1;
         if loop_limit == 0
            break;
         end
      end
      %
      %  The last increment made the rms too big, back off one
      %
      rms_new = first_rms;
      ic_new(i,j) = ic_new(i,j) - increment;
      loop_count = loop_count - 1;
      disp(sprintf('Old:%f,New:%f,Old rms:%e,New rms:%e,loop_count:%d',ic(i,j),ic_new(i,j),initial_rms,rms_new,loop_count));
      ic = ic_new;
      initial_rms = rms_new;
   end
end
      
