function out = running_mean(in)
%
%  Computes the "running" mean.
%

%  MG Bateman, Thu, 05 Jan 95
%
len = length(in);   %  take the largest dimension

out = zeros(1,len);  % this puts a width 'win' of zeroes at either end

%
%  This computes a mean for a distance +/- win around the current point.
%

win = 5;

for i=win+1:len-win,
   out(i) = mean([in(i-5) in(i-4) in(i-3) in(i+3) in(i+4) in(i+5)]);
end


