function wavelat_test(s,s_time,cut_off,s_dev_factor)
%
%  This routine does a wavelet analysis
%
%
%  Now just filter
%
not_the_nans = find(~isnan(s));
sf = s(not_the_nans);
sf_time = s_time(not_the_nans);
[b,a] = butter(4,cut_off/25,'high');
sff = filtfilt(b,a,sf);
%
%  Now wvelet
%
[C,L] = wavedec(s,3,'coif1');
cA3 = appcoef(C,L,'coif1',3);
cD3 = detcoef(C,L,3);
cD2 = detcoef(C,L,2);
cD1 = detcoef(C,L,1);
A3 = wrcoef('a',C,L,'coif1',3);
D1 = wrcoef('d',C,L,'coif1',1);
D2 = wrcoef('d',C,L,'coif1',2);
D3 = wrcoef('d',C,L,'coif1',3);
figure;
s_dev_factor = (1.0 - s_dev_factor)*0.5*100;
subplot(5,1,1),plot((s_time-s_time(1))*86400,s),title('coif1'),axis tight
y_max = prctile(s,100-s_dev_factor);
y_min = prctile(s,s_dev_factor);
a = axis;
a(3:4) = [y_min y_max];
axis(a);
subplot(5,1,2),plot((s_time-s_time(1))*86400,D1),title('D1'),axis tight
y_max = prctile(D1,100-s_dev_factor);
y_min = prctile(D1,s_dev_factor);
a = axis;
a(3:4) = [y_min y_max];
axis(a);
subplot(5,1,3),plot((s_time-s_time(1))*86400,D2),title('D2'),axis tight
y_max = prctile(D2,100-s_dev_factor);
y_min = prctile(D2,s_dev_factor);
a = axis;
a(3:4) = [y_min y_max];
axis(a);
subplot(5,1,4),plot((s_time-s_time(1))*86400,D3),title('D3'),axis tight
y_max = prctile(D3,100-s_dev_factor);
y_min = prctile(D3,s_dev_factor);
a = axis;
a(3:4) = [y_min y_max];
axis(a);
subplot(5,1,5),plot((sf_time-sf_time(1))*86400,sff),title('filtered'),axis tight
y_max = prctile(sff,100-s_dev_factor);
y_min = prctile(sff,s_dev_factor);
a = axis;
a(3:4) = [y_min y_max];
axis(a);
